Subject: bug#64726: closed (Re: bug#64726: 30.0.50; PUSH_HANDLER macro in src/lisp.h:3053 is unused)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jul 2023 16:22:02 +0000

Your bug report

#64726: 30.0.50; PUSH_HANDLER macro in src/lisp.h:3053 is unused

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64726: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64726
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64726: 30.0.50; PUSH_HANDLER macro in src/lisp.h:3053 is unused
From: Eli Zaretskii <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Jul 2023 19:22:21 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 19 Jul 2023 15:16:30 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I am confused.
> >> I found this macro in src/lisp.h.
> >
> > In which src/lisp.h?  I only see it in
> > test/manual/etags/c-src/emacs/src/lisp.h.
> 
> Ouch! You are right.
> Sorry for the noise.

No sweat.

> (I accidentally arrived to that buffer when grepping things around and
> then did not notice that there is more than one lisp.h in Emacs git
> repo. Just took note of all those ETAGS files and assumed that lisp.h is
> the one in src/).

It happens to others as well.  I've seen not once or twice that global
cleanups over all the source files included also the files there...

Closing.

Subject: 30.0.50; PUSH_HANDLER macro in src/lisp.h:3053 is unused
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Date: Wed, 19 Jul 2023 10:36:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I noticed that the following macro does not appear to be used in the code:

/* Fill in the components of c, and put it on the list.  */
#define PUSH_HANDLER(c, tag_ch_val, handlertype)	\

It is only listed in ETAGS tests and

ChangeLog.2<emacs>
  15943:	* src/lisp.h (PUSH_HANDLER): Remove.

appears to assert that the macro has been removed.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.38, cairo version 1.17.8) of 2023-07-18 built on localhost
Repository revision: aba3d13ea8d712bca1b3f23ac7db7e38c2165b3c
Repository branch: feature/named-lambdas
Windowing system distributor 'The X.Org Foundation', version 11.0.12101008
System Description: Gentoo Linux

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>